#!/usr/bin/env php
<?php 

spl_autoload_register();

$sender = new Quriiri_API\Sender("your-api-key-here","your-mtapi-url-here");

$destinations = array("+358400000001", "+358400000002");

$res = $sender->sendSms("PHP", $destinations, "H€llo from PHP!");

foreach($res["errors"] as $error)
    echo "ERROR: " . $error["message"] . "\n";

foreach($res["warnings"] as $warning)
    echo "WARNING: " . $warning["message"] . "\n";

foreach($destinations as $destination) {
    $data = $res["messages"][$destination];
    echo "Send result for $destination: ";
    echo "number converted to " . $data["converted"];
    echo ", status " . $data["status"];
    if (array_key_exists("reason", $data))
        echo ", reason " . $data["reason"];
    echo "\n";
}

?>